Create many contacts

Creates many contacts in a single request. Each contact requires first name and last name. All other fields are optional.

POST
/v1/contacts/many

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/contacts/many" \  -H "Content-Type: application/json" \  -d '{    "contacts": [      {        "firstName": "string",        "lastName": "string"      }    ]  }'
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "firstName": "string",
    "lastName": "string",
    "avatarUrl": "string",
    "notes": {},
    "identifiers": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "provider": "google",
        "value": "string",
        "messagingId": "string",
        "displayName": "string",
        "profileUrl": "string"
      }
    ],
    "createdAt": "string",
    "updatedAt": "string",
    "organizations": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      }
    ],
    "users": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "firstName": "string",
        "lastName": "string",
        "avatarUrl": "string",
        "email": "user@example.com"
      }
    ],
    "deals": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      }
    ],
    "tasks": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "type": "userPendingAuthorization"
      }
    ],
    "customFieldValues": [
      {
        "columnId": "b0676e1a-d8a0-4c5f-99e7-a0ee8909f6dd",
        "value": "string"
      }
    ]
  }
]
"string"
"string"
"string"
"string"